petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMPlexSetRefinementUniform

Set the flag for uniform refinement

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetRefinementUniform(DM dm, PetscBool refinementUniform)

### Input Parameters

| dm | - The DM
| refinementUniform | - The flag for uniform refinement

### See Also

DMRefine(), DMPlexGetRefinementUniform(), DMPlexGetRefinementLimit(), DMPlexSetRefinementLimit()

Level:developer
Location:src/dm/impls/plex/plexrefine.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html